blob: 6c8e83eb32725287edbbd1bc5057bb1770a4a81f (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
|
--- profile-sync-daemon/init/psd.openrc.orig 2014-11-19 14:35:06.049935645 +0100
+++ profile-sync-daemon/init/psd.openrc 2014-11-19 14:37:33.235934241 +0100
@@ -1,29 +1,21 @@
-#!/sbin/runscript
+#!/bin/sh
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+# Adapted by Marcel Saegebarth for slackbuilds.org for
+# http://slackbuilds.org/result/?search=profile-sync-daemon.
description="Webbrowser profile syncing"
extra_commands="resync"
description_resync="Manually sync the disk profile with running tmpfs image"
-
-depend() {
- need devfs localmount
- after swapfiles # bug 398431#c8
-}
-
start() {
- ebegin "Starting Profile-Sync-Daemon"
-
+ echo "Starting Profile-Sync-Daemon"
/usr/bin/profile-sync-daemon sync
- eend $?
}
stop() {
- ebegin "Stopping Profile-Sync-Daemon"
-
+ echo "Stopping Profile-Sync-Daemon"
/usr/bin/profile-sync-daemon unsync
- eend $?
}
status() {
@@ -31,7 +23,25 @@
}
resync() {
- ebegin "Syncing browser profiles in tmpfs to physical disc"
+ echo "Syncing browser profiles in tmpfs to physical disc"
/usr/bin/profile-sync-daemon resync
- eend $?
}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ resync)
+ resync
+ ;;
+
+ status)
+ status
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|resync|status}"
+ exit 1
+esac
|